Bug 1702020 - ConversionHost ansible_playbook method calls broken
Summary: ConversionHost ansible_playbook method calls broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 18:09 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695767
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 2 CFME Bot 2019-04-24 19:48:44 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/3f30559bc27438bf078fbcab866bd5473f6bcee2
commit 3f30559bc27438bf078fbcab866bd5473f6bcee2
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Jan 17 09:05:16 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Jan 17 09:05:16 2019 -0500

    Merge pull request #18323 from djberg96/conversion_host_ansible_playbook

    Alter ansible_playbook method so that some arguments are optional

    (cherry picked from commit 658581253e0b061eb3266e5d2030b6f391d08ea6)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702020

 app/models/conversion_host.rb | 18 +-
 1 file changed, 9 insertions(+), 9 deletions(-)

Comment 3 Shveta 2019-05-03 20:35:46 UTC
Tried to call the method disable_conversion_host_role.

conversion_host = ConversionHost.find_by(:name => 'create converison host')
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> #<ConversionHost id: 6, name: "create converison host", address: nil, type: nil, resource_type: "Host", resource_id: 3, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: false, ssh_transport_supported: false, created_at: "2019-05-03 20:29:46", updated_at: "2019-05-03 20:29:46", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>

irb(main):002:0> conversion_host.disable_conversion_host_role
=> #<AwesomeSpawn::CommandResult:0x000000000bf69ae0 @exit_status=2>


Daniel , please if this is good enough to verify the call to method ansible_playbook.

Comment 4 Daniel Berger 2019-05-03 21:18:13 UTC
Well, it's getting called and returning successfully, so I call that a win.

Comment 5 Shveta 2019-05-03 21:18:50 UTC
Great , Thanks

Comment 7 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.